MMS update only for 3.1 users?

GABERMAN707

Member
Bronze
Aug 14, 2009
74
1
8
#1
Just a quick question about the MMS update coming out this Friday September 25th - Is the update for MMS going to be available for only 3.1 users? Or can others such as 3.0 and 3.0.1 be able to get it as well?

What kind of update is it? Carrier or software update? I guess this goes out for those who are jailbroken, like myself, who are on software 3.0.1 and below. The reason why I ask is because I don't want to be forced to update to a newer software and lose my jailbreak.
 

Youngbinks

Zealot
Gold
Jun 4, 2007
7,617
3
38
31
Atlanta, Georgia
#2
It's most likely going to be in the form of a carrier update. However, seeing as we are not AT&T nor Apple, it'll be hard for many people to know the exact details revolving around the MMS release.
 

prott1

Member
Bronze
Feb 10, 2007
68
0
6
Southern Cali
#3
Been looking around on ATT and Apple sites and everyone seems to say it'll be another update through iTunes that will include the carrier file...Most seem to be available around 10-11am PST.. We'll see.
 
Jan 16, 2009
3,230
13
38
59
Mississippi
#4
Well if it's an iTunes update then MMS will only be available for 3.1 users. I'm on 3.1 but I really hope it's a carrier update as some people are very satisfied with 3.0.1 or 2.2.1 and it would suck having to go to a buggy and possibly unlockable 3.1.
 
Jun 19, 2007
33,478
4,542
113
Upper Marlboro, MD
#5
Wouldn't that be very apple-like to tie MMS in with 3.1?

Whatever happened to the message the 1984 Mac commercial was trying to convey?

 

GABERMAN707

Member
Bronze
Aug 14, 2009
74
1
8
#7
Well I have a good feeling that with AT&T "unblocking," "flipping the switch," or whatever you want to call it, for MMS, it will allow those modified carrier files to work flawlessly. I currently am using the 5.1 carrier bundle and have MMS, but sometimes I receive pictures late... however, I can send them with no problem. Getting the official carrier update would be better, but I love my JB.

Would it be possible when the update comes out, say if it's a software update attached with the new carrier, for someone to extract just the ipcc file? I don't see why not since a whole bunch have been floating around, even from the beta's.
 

Ward

New Member
Bronze
Jul 10, 2009
36
0
0
#8
All versions of 3.X support MMS. UK users like me have been using MMS since 3.0 came out. MONTHS ago.

ALL VERSIONS OF 3.0 SUPPORT MMS

All that A&T do is release a carrier file which flips an software switch.

You probably won't even have to reboot the phone!


:rolleyes:
 

BrownGem

Zealot
Gold
Feb 27, 2009
1,623
22
38
Texas
#9
I hope it is a carrier update because I just won't have MMS if it isn't. I can't consider updating to 3.1 with all the problems users are experiencing not to mention losing my jb. I will just wait it out. Maybe Swirly will work after the update.
 

Sharunda

Genius
Gold
Jun 16, 2008
4,987
1,085
113
One Horse Town, New Jersey
#10
I spoke to a rep at AT&T yesterday and they told me that AT&T will be sending out a text to the customers alerting them to download the carrier update from iTunes.

I didn't know what the carrier part meant, but that is what I was told. I just thought it would be a plain old update, but it is in fact a carrier update.

I don't care, as long as it works. An Apple Tech suggested to me that if I can wait until Saturday or even Sunday that might be better because the servers are going to be clogged with people and its going to go SLOW!

This is going to be exciting!
 

scottjf8

Member
Silver
Aug 12, 2008
528
0
16
#12
If it's just a carrier update, no one has to worry about losing their jailbreak.
That's not totally true though... if Apple wanted to be dicks, and knowing that 3GS's can't be jailbroke on 3.1, they potentially COULD make it so it'll make sure you have 3.1 before installing the carrier update.
 

Europa

Moderator
Senior Moderator
Dec 12, 2008
28,365
5,507
113
Utah
#13
I don't think that's what he meant. He was saying, if it is just a carrier update, you won't lose your jailbreak. Obviously, if the carrier update required 3.1, you would have to update to 3.1 and rejailbreak, if you were not already on 3.1.

Some people are worried that carrier updates will cause them to lose their jailbreaks, and they don't.